class Bruch {
	// Datenstruktur
	int zaehler;

	int nenner;

	// Funktionen auf der Datenstruktur = Methoden
	// void init(int z, int n) {
	Bruch(int z, int n) { // Konstruktor statt init
		this.zaehler = z;
		this.nenner = n;
		this.kuerzen();
	}

	void multTo(Bruch b2) {
		this.zaehler *= b2.zaehler;
		this.nenner *= b2.nenner;
		this.kuerzen();
	}

	void addTo(Bruch b2) {
		this.zaehler = b2.nenner * this.zaehler + this.nenner * b2.zaehler;
		this.nenner = this.nenner * b2.nenner;
		this.kuerzen();
	}

	String getString() {
		return this.zaehler + "/" + this.nenner;
	}

	void kuerzen() {
		int ggt = Bruch.ggT(this.zaehler, this.nenner);
		this.zaehler /= ggt;
		this.nenner /= ggt;
	}

	static int ggT(int z1, int z2) {
		return (z2 == 0) ? z1 : Bruch.ggT(z2, z1 % z2);
	}

	// Testprogramm
	public static void main(String[] args) {
		int zaehler = IO.readInt("Bruch 1 (Zaehler): ");
		int nenner = IO.readInt("Bruch 1 (Nenner): ");
		Bruch b1 = new Bruch(zaehler, nenner);
		IO.println("Bruch 1: " + b1.getString());

		zaehler = IO.readInt("Bruch 2 (Zaehler): ");
		nenner = IO.readInt("Bruch 2 (Nenner): ");
		Bruch b2 = new Bruch(zaehler, nenner);
		IO.println("Bruch 2: " + b2.getString());

		b1.multTo(b2);
		IO.println("Bruch 1: " + b1.getString());
		IO.println("Bruch 2: " + b2.getString());

		b1.addTo(b2);
		IO.println("Bruch 1: " + b1.getString());
		IO.println("Bruch 2: " + b2.getString());
	}
}
